Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.id
Interface ResultSetIdentifierConsumer

    public interface ResultSetIdentifierConsumer

An optional contract for `Type` or `UserType` implementations to handle generated id values any way they see fit as opposed to being limited to the discrete set of numeric types handled by `IdentifierGeneratorHelper`

Method Summary
`Serializable` | `consumeIdentifier(ResultSet resultSet)` Given a result set, consume/extract the necessary values and construct an appropriate identifier value.

Method Detail

### consumeIdentifier

    Serializable consumeIdentifier(ResultSet resultSet)

  Given a result set, consume/extract the necessary values and construct an appropriate identifier value.

  Parameters:
    `resultSet` - The result set containing the value(s) to be used in building the identifier value.
  Returns:
    The identifier value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.